package com.sv.mapper;

import com.sv.entity.MemberBankCard;

import java.util.List;

/**
 * Mapper - 用户银行卡
 *
 * @author lihong
 * @since 2018-08-10
 */
public interface MemberBankCardMapper {

    /**
     * 新建用户银行卡
     *
     * @param memberBankCard 用户银行卡
     */
    void insert(MemberBankCard memberBankCard);

    /**
     * 更新用户银行卡
     *
     * @param memberBankCard 用户银行卡
     */
    void update(MemberBankCard memberBankCard);

    /**
     * 删除用户银行卡
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除用户银行卡
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * api
     * 查询用户银行卡
     *
     * @param id 编号
     * @return 用户银行卡
     */
    MemberBankCard findById(Integer id);

    /**
     * 查询用户银行卡
     *
     * @return 用户银行卡集合
     */
    List<MemberBankCard> findAll();

    /**
     * api
     * 根据用户Id查找用户银行卡
     */
    List<MemberBankCard> findByMemberId(Integer memberId);

}